Page MenuHomePhabricator

cloudvps: shiny-r project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the shiny-r project needs to upgrade as soon as possible.

The list of affected VMs is:

  • discovery-production.shiny-r.eqiad.wmflabs
  • discovery-testing.shiny-r.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/shiny-r

Event Timeline

aborrero triaged this task as Normal priority.Sep 18 2018, 11:22 AM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 11:22 AM
mpopov added a subscriber: mpopov.Sep 24 2018, 8:46 PM

This is currently blocked on Shiny Server (the software that Discovery Dashboards rely on) becoming available for Debian: T168967

If someone wants to take that on, there are instructions for building Shiny Server from source and we would enormously appreciate it.

Krenair updated the task description. (Show Details)Oct 22 2018, 9:35 AM
Krenair added a subscriber: Smalyshev.
Krenair added a subscriber: Krenair.

Hi all, just to let you know this now has a deadline of 2018-12-18 per https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects
Please get in contact if you need help.

Krenair updated the task description. (Show Details)Oct 22 2018, 9:36 AM
Krenair removed a subscriber: Smalyshev.

All instances in the shiny-r project needs to upgrade as soon as possible.

What if "as soon as possible" is after the deadline? Are we going to lose the Discovery Dashboards?

I guess Discovery Dashboards are going offline 2018-12-18 unless this is resolved?

All instances in the shiny-r project needs to upgrade as soon as possible.

What if "as soon as possible" is after the deadline? Are we going to lose the Discovery Dashboards?

Hopefully we won't get to that point :-) That's why we gave enough room when developing the deprecation timeline.

But we can't run Ubuntu Trusty after the deadline, so we better get T168967 addressed ASAP.

I guess Discovery Dashboards are going offline 2018-12-18 unless this is resolved?

I believe the answer to this question is yes.

Another ping. Deadline is approaching (2018-12-18).

EBjune added a subscriber: EBjune.Nov 20 2018, 7:13 PM

This appears to be dependent on the nebulous "someone" packaging shiny on Debian, as per the instructions mpopov provided above: instructions for building Shiny Server from source

Any thoughts @Gehel?

Ping. Today is Friday and the deadline is Tuesday.

We seem to have a few ghost instances that are preventing me from launching a new Stretch instance which would replace the existing discovery-production one that runs on Trusty:

Hi @mpopov, is there something you are unable to do as a listed administrator? Is there someone in particular who needs to do something? Sorry, I don't know if this is a process-wrangling issue, a server instance issue, a shiny instance issue, or some combination of things.

@EBjune Hiya! Even though I'm an admin for the project I can't do much because Horizon thinks there are 2 more instances than there actually are.

@aborrero Would you or someone else on WMCS team be able to look into this, please? shiny-r should only have 2 instances at the moment (discovery-testing-01 and discovery-production, see T204688#4829376)

Krenair added a subscriber: Andrew.EditedDec 18 2018, 1:23 AM

I think this is T210215: Quota usage not being counted properly in new region or something related. @Andrew may be the best person for this

Quota calculation is pretty broken in Mitaka; the situation in Newton is mildly better. I just now tried an old fix that used to work (zeroing out the values in the database) and that is making Horizon do different but equally wrong things. Part of this is that nova is trying to keep track of per-user/per-project quotas rather than just per-project quotas even though that isn't really a thing.

The Horizon quota display is still super wrong; the good news is that it's wrong in the other direction now so you should be able to create VMs. I'm not going to burn too much time on the larger issue since I hope to move to Newton soon.

mpopov closed this task as Resolved.Dec 19 2018, 4:49 PM
mpopov claimed this task.

Done. Just tested everything and it's all good, so I've deleted the instances running Ubuntu Trusty. The only instances up are running Debian Stretch.

Done. Just tested everything and it's all good, so I've deleted the instances running Ubuntu Trusty. The only instances up are running Debian Stretch.

Thanks, @mpopov!!